Bug 251411 - libtk8.4.so lacks an SONAME record
libtk8.4.so lacks an SONAME record
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tk (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 15:47 EDT by Stepan Kasal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 04:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2007-08-08 15:47:36 EDT
In tk-8.4.15-1.fc8, libtk8.4.so contains no SONAME record.  Run
  objdump -p /usr/lib/libtk8.4.so | grep SONAME
to verify this.

This implies that incorrect library name will be recorded in the NEEDED fiels of
 executables linked against this library.
The library is typically found through the symlink /usr/lib/libtk.so, thus the
resulting binary has "NEEDED libtk.so".
This info is picked by find-provides, so one of the symptoms is a broken require
in the resulting rpm.
See http://www.redhat.com/archives/fedora-devel-list/2007-August/msg00471.html
for an example.

Note You need to log in before you can comment on or make changes to this bug.